Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1970 - kernel-2.2.5-2 does not compile
Summary: kernel-2.2.5-2 does not compile
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-03 23:29 UTC by rh2021
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-10 03:29:30 UTC


Attachments (Terms of Use)

Description rh2021 1999-04-03 23:29:38 UTC
In trying to further track down the knfsd problem, I ran
into the following:

[root@glasya linux]# rpm -qa | grep kernel
kernel-doc-2.2.5-2
kernel-2.2.5-2
kernelcfg-0.5-5
kernel-headers-2.2.5-2
kernel-source-2.2.5-2

Then I did a
cd /usr/src/linux
make mrproper
make oldconfig
make bzImage

make[3]: Entering directory
`/usr/src/linux-2.2.5/drivers/scsi'
gcc -D__KERNEL__ -I/usr/src/linux-2.2.5/include -Wall
-Wstrict-prototypes -O2 -fomit-frame-pointer -pipe
-fno-strength-reduce -m386 -DCPU=386   -c -o scsi.o scsi.c
scsi.c: In function `scan_scsis_single':
scsi.c:766: `TYPE_ENCLOSURE' undeclared (first use in this
function)
scsi.c:766: (Each undeclared identifier is reported only
once
scsi.c:766: for each function it appears in.)
scsi.c: In function `resize_dma_pool':
scsi.c:2480: `TYPE_ENCLOSURE' undeclared (first use in this
function)
make[3]: *** [scsi.o] Error 1
make[3]: Leaving directory
`/usr/src/linux-2.2.5/drivers/scsi'
make[2]: *** [first_rule] Error 2
make[2]: Leaving directory
`/usr/src/linux-2.2.5/drivers/scsi'
make[1]: *** [_subdir_scsi] Error 2
make[1]: Leaving directory `/usr/src/linux-2.2.5/drivers'
make: *** [_dir_drivers] Error 2


[root@glasya linux-2.2.5]# find . -type f -print | xargs
grep TYPE_ENCLOSURE
./drivers/scsi/scsi.c:  case TYPE_ENCLOSURE:
./drivers/scsi/scsi.c:                     SDpnt->type ==
TYPE_ENCLOSURE) {

Looking around a bit more it looks like the following:

[root@glasya src]# find . -type f -print | xargs grep
TYPE_ENCLOSURE
./linux-2.2.3/include/scsi/scsi.h:#define
TYPE_ENCLOSURE      0x0d    /* Enclosure Services Device */
./linux-2.2.5/drivers/scsi/scsi.c:  case TYPE_ENCLOSURE:
./linux-2.2.5/drivers/scsi/scsi.c:
SDpnt->type == TYPE_ENCLOSURE) {

Looks like scsi.h whacked?

#define TYPE_ENCLOSURE      0x0d    /* Enclosure Services
Device */

Comment 1 Michael K. Johnson 1999-04-10 03:29:59 UTC
Fixed at least in kernel-2.2.5-7, perhaps earlier.


Note You need to log in before you can comment on or make changes to this bug.